Package io.vertx.ext.auth.webauthn4j

## Enum ResidentKey

- java.lang.Object
- - java.lang.Enum<ResidentKey>
  - - io.vertx.ext.auth.webauthn4j.ResidentKey

- All Implemented Interfaces:
    `Serializable`, `Comparable<ResidentKey>`

      public enum ResidentKey
      extends Enum<ResidentKey>

  ResidentKey https://www.w3.org/TR/webauthn-2/#dictdef-authenticatorselectioncriteria This enum is used to specify the desired behaviour for resident keys with the authenticator.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISCOURAGED` |
    `PREFERRED` |
    `REQUIRED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResidentKey` | `of​(String string)` |
    `String` | `toString()` |
    `static ResidentKey` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ResidentKey[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISCOURAGED

          public static final ResidentKey DISCOURAGED

    - #### PREFERRED

          public static final ResidentKey PREFERRED

    - #### REQUIRED

          public static final ResidentKey REQUIRED

  - ### Method Detail

    - #### values

          public static ResidentKey[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResidentKey c : ResidentKey.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResidentKey valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ResidentKey>`

    - #### of

          public static ResidentKey of​(String string)